Subject: bug#13419: make 'eabs' act more like a function

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Jan 2013 11:11:28 +0200

> Date: Fri, 11 Jan 2013 22:44:19 -0800
> From: Paul Eggert <[email-masked]>
> 
> The key part of this patch is to lisp.h; most of the rest
> is pulled in from gnulib automatically.  I'm guessing about
> the change to nt/inc/inttypes.h, as I don't use Windows.

Thanks.  The change to nt/inc/inttypes.h should be OK for the MS
compiler, I think, with one gotcha:

> +#define imaxabs labs

This should be just "abs".  There's no 'labs' in the MS compiler,
according to the MS documentation, and 'long' is 32-bit wide, so 'abs'
is fine.  The _abs64 definition for the 64-bit build is OK, AFAIU.

Given these macros, the Windows build doesn't need lib/imaxabs.c,
right (since MinGW defines imaxabs in its inttypes.h)?  Because if it
does, lib/makefile.w32-in needs a suitable change.